WSFONTLOAD(8) | System Manager's Manual | WSFONTLOAD(8)

# NAME

`wsfontload` —
load a font bitmap into the wsfont pool or a wscons display device

# SYNOPSIS

`wsfontload` | [`-Bbv`] [`-e` encoding] [`-f` wsdev] [`-h` height] [`-N` name] [`-w` width] [fontfile]

# DESCRIPTION

The `wsfontload` utility loads a font bitmap into the wsfont font pool (or a wscons device if the device driver supports this). The font gets assigned a name in this process which it can be referred to by later for use on a display screen. The font is loaded from the specified fontfile, or from standard input if fontfile is not provided.

The options are:

`-B`
  Specifies that the font data is ordered right-to-left byte wise. The default is left-to-right.
`-b`
  Specifies that the font data is ordered right-to-left bit wise. The default is left-to-right.
`-e` encoding
  Sets the encoding of the font. This can be either a symbolic abbreviation or a numeric value. Currently recognized abbreviations are:
  ‘`iso`’
    ISO-8859-1 encoding
  ‘`ibm`’
    IBM encoded fonts
  ‘`pcvt`’
    the custom encoding of the supplemental fonts which came with the BSD “pcvt” console driver
  ‘`iso2`’
    ISO-8859-2 (east european) encoding
  ‘`iso7`’
    ISO-8859-7 (greek) encoding
  ‘`koi8r`’
    KOI8-R (russian) encoding
  Per default, ‘`iso`’ is assumed.
`-f` wsdev
  Specify the device to operate on. Default is /dev/wsfont.
`-h` height
  Sets the height of a font character in pixels. Default is 16.
`-N` name
  Specifies a name which can be used later to refer to the font. If none is given, the fontfile name is used to create one.
`-v`
  Prints the font's properties before loading it.
`-w` width
  Sets the width of a font character in pixels. Default is 8.

Typically, the `wsfontload` utility will be executed in system startup by the /etc/rc.d/wscons script, controlled by the /etc/wscons.conf configuration file.

# FILES

/etc/wscons.conf /usr/share/wscons/fonts

# EXAMPLES

`wsfontload -N myname -h 8 -e ibm /usr/share/wscons/fonts/vt220l.808`

Load the IBM-encoded 8×8-font from the wscons(4) distribution. This (or another 8×8-font) is necessary to use the 50-line screen type on vga(4) displays.

`wsfontload -N orator -e ibm /usr/share/wscons/fonts/orator.816`
`wsconsctl -dw font=orator`

Load the “orator” IBM-encoded 8×16 font and switch the first console screen (ttyE0, wsconsctl's default) to this alternate font.

# SEE ALSO

wscons(4), wsconscfg(8), wsconsctl(8)

# BUGS

Many features are missing.

There is no way to remove a loaded font.

There is no way to determine which fonts have been loaded.

May 30, 2019 | NetBSD 9.4